# Method: studies.updateMetadata

**Full name**: projects.locations.datasets.dicomStores.studies.updateMetadata

studies.updateMetadata modifies the metadata of all instances in the given study.

The request body must contain a JSON Patch document specifying the updates to be applied to the metadata of all instances within the study.

### HTTP request

`PATCH https://healthcare.googleapis.com/v1beta1/{parent=projects/*/locations/*/datasets/*/dicomStores/*}/dicomWeb/{dicomWebPath=studies/*}/metadata`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the DICOM store that is being accessed (for example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}`). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `healthcare.dicomStores.dicomWebUpdate` |
| `dicomWebPath` | `string` Required. The path of the studies.updateMetadata request (for example, `studies/{studyUid}`). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/HttpBody`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).